C#ATIA

↑タイトル詐欺 主にCATIA V5 の VBA(最近はPMillマクロとFusion360APIが多い)

Fusion360API

3Dな線のエクスポート2

こちらの続きです。 3Dな線のエクスポート1 - C#ATIAこちらにUpしましたが、、、 Re: 3Dな線を3DCAD中間ファイルでエクスポートする - Autodesk Community 結局大して修正しませんでした。 ・自己交差している要素がある場合でもエラー回避 ・日本語設定以外…

3Dな線のエクスポート1

こちらの続きです。 3Dな線のエクスポート考え中 - C#ATIAコメント欄にも書いたのですが、行列の積は交換法則成り立たないんですね。 行列の積の交換法則 | 高校数学応援ブログ web問題集 スケッチ位置を変換してから、オカレンスの位置を変換にしたら上手く…

3Dな線のエクスポート考え中

中々時間の確保が出来ないので、Blogに書けそうなことは何もしていませんが 少し前にこちらをフォーラムに記載しました。3Dな線を3DCAD中間ファイルでエクスポートする - Autodesk Communityこれ自体を探していたのではなく "3D間違い探しを解く" をもっと早…

3D間違い探しを解く2

こちらの続きです。 3D間違い探しを解く1 - C#ATIAもうちょっと修正したかったのですが、時間の確保が出来なくなりそうな為 公開しておきます。 #FusionAPI_python FindUnmatchedFaces Ver0.0.1 #Author-kantoku #Description-3D間違い探しを解く import ads…

カスタムグラフィックを削除する

Fusion360には、画面上に要素(面・線等)を表示させる方法が複数あります。その内のひとつにカスタムグラフィックと言う機能が有り、 通常のBRepBody等を作成するより、素早く画面上に表示させます。 ・・・APIのHelpのエラーが酷く、リンクさせることが出…

3D間違い探しを解く1

少し使い物になりそうな感じになってきたので、予告。以前CATIA用に作ったこちらを、Fusion360でも出来ないか? と模索中です。 二つのボディ/形状セットを比較して、差分を抽出する2 - C#ATIA こんな感じの二つのBodyがあります。・・・昔、GrabCADから頂きました…

オフセット面の作成場所3

小出しになっちゃいますが、こちらの続きです。 オフセット面の作成場所2 - C#ATIAルートコンポーネントのアクティブ化がわからなかったのですが、 Designオブジェクトに、そのままズバリのネーミングな activateRootComponentメソッドがありました。 ん~こ…

オフセット面の作成場所2

こちらの続きです。 オフセット面の作成場所 - C#ATIA前回の最後に記載した ”コンポーネントからオカレンスをどうやったら取得できるのか?” のテストです。ややこしいのですが、こんな状態のデータでテストします。 青部分がルートコンポーネント 赤Bodyを…

オフセット面の作成場所

サーフェスのオフセット面を作りたいのですが、 思うように出来なくて悩んでます。 こんな感じの状態で、Body1の選択された青い面のオフセット面を 作成したいのです。但し、Body1はComponent1:1に有り、 それとは異なるRootのコンポーネントがアクティブな…

凸包に挑んでみる7

こちらの続きです。 凸包に挑んでみる6 - C#ATIA先日のスピードテストを反映させて ・処理時間の短縮 ・実行後、ソリッド化 を修正しました。 #FusionAPI_python test_ConvexHull3D ver0.0.2 #Author-kantoku #Description-新たなスケッチを作成し、ランダムに3D…

押し出しのスピードテスト2

こちらの続きです。 押し出しのスピードテスト1 - C#ATIA前回、押し出しの最速処理の "テスト3" の問題点についてです。少し前に作成した3D凸包(パッチ)や 凸包に挑んでみる6 - C#ATIA 迷路(押し出し) 迷路を作る - C#ATIA に取り組むまで気が付きません…

押し出しのスピードテスト1

タイトルが異なりますが、こちらの続きです。 スケッチのスピードテスト - C#ATIA前回のスケッチに関しては、ある程度知っていたので、 本当はこちらの "押し出し" についてテストしたかったんです。前回同様、スケッチに100個の四角を作り押し出します。 テ…

全てのファイルを保存せずに閉じる

スプリクト開発時、テストしていると大量のドキュメントを作成してしまい 手動でチマチマ閉じるのが面倒なため作りました。 #FusionAPI_python 開いているファイルを未保存で全て閉じる #Author-kantoku import adsk.core, traceback def run(context): ui =…

Fusion360環境でnumpyがインストール出来ました。

やっとわかりました。当方が使用している環境です。 os: win7 64bit Fusion360 : ver 2.0.4567 python : 3.5.3 ※今回偶々この手順で出来ただけです。アップデート等により変わる可能性も ありますので、ご注意を! ※ここの記載は一部未完成・未確認な内容で…

スケッチのスピードテスト

先日の迷路や凸包の遅さを改善したい為、方法を模索することにしました。 今回はスケッチです。スケッチに関しては、3D曲線インポートスプリクトを作成した際に色々と 試したので、どちらかと言うと覚書のようなものです。こちらをベースにします。 #FusionA…

Fusion360API オフラインヘルプ

今日辺りからAPIのオンラインHelpの調子が悪く、かなり作業効率が悪いです。 昨年の秋頃までも悪かったのですが、その後改善されストレス無く使えていました。フォーラムに記載したところ、Brian EkinsさんがオフラインHelpを教えてくれました。https://ekin…

迷路を作る

先日、こちらを発見しました。 Random Maze Creator | Fusion 360 | Autodesk App Store 5ドルするんだ・・・。DL数0だから、買った人はいないのだろうけど。挑戦してみました。 調べてみると、迷路を作成する為のアルゴリズムが色々とある様です。 面倒なため…

numpy等のライブラリをFusion360APIで利用したい

未だ手段がわかりません。これではインストール出来ない事がわかっています。 pip install numpy僕自身が作る部分で利用したいと言うわけではなく、利用したいライブラリ等で numpyやscipyを使用している場合が多く、インストールの必要が有りそうだからです。

凸包に挑んでみる6

こちらの続きです。 凸包に挑んでみる5 - C#ATIA結局あっさり諦め、利用しやすそうな軽めのライブラリを探しました。 Start Small: 3D Convex hull in Python blenderaddons/chull.py at master · varkenvarken/blenderaddons · GitHub 本来、'blender' 向け…

凸包に挑んでみる5

こちらの続きです。 凸包に挑んでみる4 - C#ATIAいくらか形になったのですが、不要な面まで作成しまっている。 しかも、たった10個の点なのに、びっくりする程遅い。こちらをターゲットに取り組んではいるのですが。 Solved: How to create a convex hull by…

不要なスケッチ点をマージし削除する

こちらの問題、ひょっとしたらスプリクト一発で解決出来るかな? と思いました。 DXFの線分を繋げるには - Autodesk Communityこんな感じです。 #FusionAPI_python SketchPointsMerge #Author-kantoku #Description-スケッチのマージ可能な端点をマージする …

凸包に挑んでみる4

こちらの続きです。 凸包に挑んでみる3 - C#ATIA面倒なため非公開ですが、前回のコードを視覚的に確認出来るように修正し 実際に四面体を見ると そこそこ良さそうなのですが、何度試してみても点群に対して薄い形状に なりやすいんです。気のせいかも知れな…

凸包に挑んでみる3

こちらの続きです。 凸包に挑んでみる2 - C#ATIA2D凸包のスタートは1本の直線からなのですが、3Dは4面体からが正攻法のようです。 その為、出来る限りユニークで直線に並ばない4点が欲しいのですが、 具体的なアルゴリズムがわかりません。色々と試した結果…

凸包に挑んでみる2

こちらの続きです。 凸包に挑んでみる1 - C#ATIA昨日のイマイチな処理、使用すべきベクトルが間違っていたと言うお粗末な結末。 ある程度修正したので、利用価値があるものかどうか不明ながら公開。 #FusionAPI_python ConvexHull2D #Author-kantoku #Descri…

凸包に挑んでみる1

こちらの続きです。 スケッチにランダムな点を作成する - C#ATIAランダムに描かれた点を元に、凸包となる線を描きます。 一瞬、上手く行ったように見えたのですが、左下付近の境界がNGです。

スケッチ曲線を円弧近似化する

以前こちらで作成したCATIAのマクロをFusion360用にしてみました。 曲線と戦ってみる9 - C#ATIA #FusionAPI_python #Author-kantoku #Description-ArcApproximation #スケッチ曲線の円弧近似化 import adsk.core, adsk.fusion, adsk.cam, traceback def run(cont…

スケッチにランダムな点を作成する

これ自体は無意味なコードですが、後で使うような気がしたので 作ってみました。 #FusionAPI_python #Author-kantoku #Description-新たなスケッチを作成しランダムに点を作成 import adsk.core, adsk.fusion, traceback import random def run(context): ui = N…

選択時のみ原点平面を表示する

久々にFusion360のAPI。こちらに頭に思い付いた手順をスプリクトにしたのですが Re: スケッチの線分コマンドのようなスケッチ選択を作成するにはどうすればいいですか - Autodesk Community考えたら、アクティブなコンポーネントの原点の表示状態は選択時のみの…

ObjectCollectionオブジェクト

先週作っていたスプリクト、行き詰まり感からちょっと放置。 こちらに面白そうなテーマがあったので、取り組んでみました。 How to remove inner sketch lines from an intersection sketch? - Autodesk Community空のスケッチを選択したらエラーとか、移動しているコンポ…

マウスカーソルの座標値を取得する6

こちらの続きです。 マウスカーソルの座標値を取得する5 - C#ATIA取り組んでいる時間が無さそうなので、現状のものを公開しておきます。 そこそこ機能するはずです。 #FusionAPI_python #Author-kantoku #Description-MouseMoveTest ver0.0.3 import adsk.co…